Zoom

Integrate your application with the Zoom API

🚀 Quickstart

Connect to Zoom with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Zoom.

Authorize Zoom

Go to Connections -> Add Test Connection -> Authorize, then log in to Zoom. Later, you'll let your users do the same directly from your app.

Call the Zoom API

Let's make your first request to the Zoom API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/users" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Zoom Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Zoom API docs

🧩 Pre-built syncs & actions for Zoom

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-meeting-registrantCreate a meeting registrant in Zoom.Action🔗 Github
create-meetingCreate a meeting in Zoom.Action🔗 Github
create-userCreate a user in ZoomAction🔗 Github
create-webinarCreate a webinar in Zoom.Action🔗 Github
delete-meeting-registrantDelete or archive a meeting registrant in Zoom.Action🔗 Github
delete-meetingDelete or archive a meeting in Zoom.Action🔗 Github
delete-recordingDelete or archive a recording in Zoom.Action🔗 Github
delete-userDelete or archive a user in Zoom.Action🔗 Github
delete-webinarDelete or archive a webinar in Zoom.Action🔗 Github
get-current-userFetch the authenticated Zoom user profile.Action🔗 Github
get-meeting-registrantRetrieve a single meeting registrant from Zoom.Action🔗 Github
get-meetingRetrieve a single meeting from Zoom.Action🔗 Github
get-recordingRetrieve a single recording from Zoom.Action🔗 Github
get-userRetrieve a single user from Zoom.Action🔗 Github
get-webinarRetrieve a single webinar from Zoom.Action🔗 Github
list-meeting-registrantsList meeting registrants from Zoom.Action🔗 Github
list-meetingsList meetings from Zoom.Action🔗 Github
list-recordingsList recordings from Zoom.Action🔗 Github
list-usersList users from Zoom.Action🔗 Github
list-webinarsList webinars from Zoom.Action🔗 Github
update-meeting-registrantUpdate a meeting registrant status in Zoom.Action🔗 Github
update-meetingUpdate a meeting in Zoom.Action🔗 Github
update-userUpdate a user in Zoom.Action🔗 Github
update-webinarUpdate a webinar in Zoom.Action🔗 Github
meetingsSync meetings from Zoom.Sync🔗 Github
recordingsSync recordings from Zoom.Sync🔗 Github
usersSync users from Zoom.Sync🔗 Github
webinarsSync webinars from Zoom.Sync🔗 Github

On this page